#include <assert.h>

#include "package.h"
#include "util.h"

static list_t *package_list = NULL;

static inline int package_find_by_id(void *a, void *b)
{
	return ((package_t *) a)->id == (int) b;
}

package_t *package_get(int id)
{
	return list_find(package_list, (void *) id);
}

void package_init(void)
{
	package_list = list_new(package_find_by_id);
}

void package_new(int id, int dx, int dy, int x, int y, int weight)
{
	package_t *p;

	p = (package_t *) xmalloc(sizeof(package_t));
	p->id = id;
	p->dx = dx;
	p->dy = dy;
	p->x = x;
	p->y = y;
	p->weight = weight;

	list_add(package_list, p);
}

void package_move(int id, int x, int y)
{
	package_t *pkg = package_get(id);
	pkg->x = x;
	pkg->y = y;
}	

/*void package_delete(int id)
{
	listiterator_t *it;
	it = list_find(packages, (void *) id);
	assert(it->current != NULL);
	package_free(listiterator_data(package_t *, it));
	listiterator_delete(it);
}*/

/*void package_free(package_t *p)
{
	free(p);
}*/
