#ifndef _PATH_INCLUDED
#define _PATH_INCLUDED

#include "map.h"

enum {
	MD_NORTH	= 0x01,
	MD_SOUTH	= 0x02,
	MD_EAST		= 0x04,
	MD_WEST		= 0x08
};

typedef struct {
	int sx, sy;
	int dx, dy;
	int cx, cy;
	int nsteps;
	int nalloc;
	int goal_distance;
	uint8_t *moves;
} path_t;

static int directions[4][2] = {
	{ 0, 1 },
	{ 0, -1 },
	{ 1, 0 },
	{ -1, 0 }
};


void init_path_engine(void);
path_t *path_compute(map_t *map, int sx, int sy, int dx, int dy, int flags);
void path_free(path_t *path);

#endif
