#ifndef _ROBOT_H_INCLUDED
#define _ROBOT_H_INCLUDED

#include "util.h"
#include "package.h"
#include "map.h"

typedef struct {
	int x;
	int y;
	int dx, dy, moved;
	int maxbid;
	int id;
	int alive;
	int load;
	int max_load;
	int pushed; 
	intarray_t *packages;
} robot_t;

int robot_init(void);
void robot_reset_alive_status(void);
listiterator_t *robot_iterator(void);
robot_t *robot_new(int id);
robot_t *robot_find(int id);

void robot_add_package(robot_t *robot, int pkgid);
void robot_del_package(robot_t *robot, int pkgid);



#endif 
